Package com.arms.api.report.export_service.template

## Class TemplateLoader

- java.lang.Object
- - com.arms.api.report.export_service.template.TemplateLoader

-     @Component
      public class TemplateLoader
      extends java.lang.Object

  PPT 템플릿 로딩 컴포넌트

  classpath 또는 파일시스템에서 .pptx 템플릿을 로드합니다.

  Since:
    25.12.03

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TemplateLoader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.poi.xslf.usermodel.XMLSlideShow` | `createEmptyPresentation()` | 빈 프레젠테이션 생성
    `java.io.InputStream` | `loadDefaultFont()` | 기본 폰트 로드
    `org.apache.poi.xslf.usermodel.XMLSlideShow` | `loadDefaultTemplate()` | 기본 템플릿 로드
    `java.io.InputStream` | `loadFont​(java.lang.String fontName)` | 폰트 로드
    `org.apache.poi.xslf.usermodel.XMLSlideShow` | `loadPptTemplate​(java.lang.String templateName)` | 템플릿 로드
    `boolean` | `templateExists​(java.lang.String templateName)` | 템플릿 존재 여부 확인

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateLoader

          public TemplateLoader()

  - ### Method Detail

    - #### loadPptTemplate

          public org.apache.poi.xslf.usermodel.XMLSlideShow loadPptTemplate​(java.lang.String templateName)

      템플릿 로드
      Parameters:
        `templateName` - 템플릿 논리명
      Returns:
        XMLSlideShow 객체
      Throws:
        `TemplateNotFoundException` - 템플릿 미발견 시

    - #### loadDefaultTemplate

          public org.apache.poi.xslf.usermodel.XMLSlideShow loadDefaultTemplate()

      기본 템플릿 로드

    - #### createEmptyPresentation

          public org.apache.poi.xslf.usermodel.XMLSlideShow createEmptyPresentation()

      빈 프레젠테이션 생성

    - #### templateExists

          public boolean templateExists​(java.lang.String templateName)

      템플릿 존재 여부 확인

    - #### loadFont

          public java.io.InputStream loadFont​(java.lang.String fontName)
                                       throws java.io.IOException

      폰트 로드
      Throws:
        `java.io.IOException`

    - #### loadDefaultFont

          public java.io.InputStream loadDefaultFont()
                                              throws java.io.IOException

      기본 폰트 로드
      Throws:
        `java.io.IOException`